2018-12-10 07:21 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001454Orfeo Toolbox (OTB)Generalpublic2018-01-10 11:34
Reportermickael 
Assigned Togpasero 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001454: Fail to install OTB 6.0 in a Centos 7 docker
DescriptionA colleague failed to install OTB 6.0 in a CentOS 7 Docker due to some issues with required terminal commands and issue with expat, freetype, ...
We need some documentation about required command and expose the known issue about expat and freetype
Steps To Reproducedocker run -t -i centos:centos7 /bin/bash
# cd /opt
# curl -L https://www.orfeo-toolbox.org/packages/OTB-6.0.0-Linux64.run > OTB-6.0.0-Linux64.run
# chmod +x OTB-6.0.0-Linux64.run
# ./OTB-6.0.0-Linux64.run
Additional Informationfor expat solve it with
ln -s /usr/lib64/libexpat.so.1.6.0 /opt/OTB-6.0.0-Linux64/lib/libexpat.so
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004336

grizonnetm (administrator)

There are lots improvements in the packaging of OTB 6.2 which will be soon released.

It will be nice if your colleague can beta test the current package available here:

https://www.orfeo-toolbox.org/packages/nightly/latest/OTB-6.2.0-Linux64.run

~0004337

gpasero (administrator)

Unfortunately :
* switching to 6.2 is not possible because 0001451 is still open (centos7)
* there are some errors because tools such as 'which' and 'file' are not installed by default on a Centos7 docker
* libfreetype and libexpat are not included in the package 6.0 (because of potential conflicts with system GTK) so on a clean docker image, these 2 libraries are missing.
* OTB binaries drag 'libexpat.so', and this simlink is not supplied in the system package.

~0004377

gpasero (administrator)

Updates :
* 0001451 is now fixed : future 6.2 Linux binaries will work on CentOS 7 docker (provided the base tools such as 'file' and 'which' are available).
* An alternative fix can be done (in a future 6.0.1 version) : compile QT4 without GTK, modify packaging script to include libexpat and libfreetype.

~0004378

mickael (administrator)

my colleague will test with the 6.2 which fix the 0001451

~0004498

gpasero (administrator)

No feedback, I consider the issue fixed following 0001451
+Notes

-Issue History
Date Modified Username Field Change
2017-09-27 18:40 mickael New Issue
2017-09-28 09:11 grizonnetm Note Added: 0004336
2017-09-28 10:00 gpasero Note Added: 0004337
2017-09-28 10:00 gpasero Assigned To => gpasero
2017-09-28 10:00 gpasero Status new => confirmed
2017-10-13 18:27 gpasero Note Added: 0004377
2017-10-13 23:10 mickael Note Added: 0004378
2018-01-05 14:44 gpasero Status confirmed => feedback
2018-01-10 11:34 gpasero Status feedback => resolved
2018-01-10 11:34 gpasero Resolution open => fixed
2018-01-10 11:34 gpasero Note Added: 0004498
+Issue History